import { BuildContext, BuildTask, BuiltTaskResult, TaskLocation } from '@teambit/builder';
import { Logger } from '@teambit/logger';
import { UiMain } from '@teambit/ui';
export declare const BUNDLE_UI_TASK_NAME = "BundleUI";
export declare const BUNDLE_UI_DIR = "ui-bundle";
export declare const BUNDLE_UI_HASH_FILENAME = ".hash";
export declare class BundleUiTask implements BuildTask {
    private ui;
    private logger;
    aspectId: string;
    name: string;
    location: TaskLocation;
    constructor(ui: UiMain, logger: Logger);
    execute(context: BuildContext): Promise<BuiltTaskResult>;
    private generateHash;
    static getArtifactDirectory(): string;
    static getArtifactDef(): {
        name: string;
        globPatterns: string[];
        rootDir: string;
    }[];
}
